/// <reference types="node" />
import { Point } from "@dedis/kyber";
import { Message, Properties } from "protobufjs/light";
import { IIdentity } from "./identity-wrapper";
/**
 * Identity of an Ed25519 signer
 */
export default class IdentityEd25519 extends Message<IdentityEd25519> implements IIdentity {
    /**
     * Get the public key as a point
     */
    readonly public: Point;
    /**
     * @see README#Message classes
     */
    static register(): void;
    /**
     * Initialize an IdentityEd25519 from a point.
     */
    static fromPoint(p: Point): IdentityEd25519;
    readonly point: Buffer;
    private _public;
    constructor(props?: Properties<IdentityEd25519>);
    /** @inheritdoc */
    verify(msg: Buffer, signature: Buffer): boolean;
    /** @inheritdoc */
    toBytes(): Buffer;
    /** @inheritdoc */
    toString(): string;
}
